/*
* Description:		Display bonus for client.
*
* @param iPlayer	Client id.
*
* @return 			1 | If successfully registered.
*					0 | If fail.
*
*/
native ze_open_bonus_menu(const iPlayer)

/*
* Description:		Register a new bonus in menu.
*
* @param szName		Bonus name.
* @param szHandler	Bonus handler function.
* @param iReqLevel	Bonus required level.
*
* @return 			Bonus id the menu, If successfully registered.
*					-1 | If fail.
*
*/
native ze_bonus_register(const szName[], const szHandler[], iReqLevel)

/*
* Description:		Get a bonus name by bonus id.
*
* @param iBonus_ID	Bonus id.
* @param szName		String to copy the string name to.
* @param iLen		The string szName[] max length.
* 
* @return 			1 | If successfully.
*					0 | If not found.
*
*/
native ze_bonus_get_name(iBonus_ID, const szName[], iLen)

/*
* Description:		Get a bonus id by bonus name.
*
* @param szName		Bonus name that used in ze_bonus_register().
* 
* @return 			Bonus id, If successfully.
*					-1 | If not found.
*
*/
native ze_bonus_get_id(const szName[])

/*
* Description:		Get a bonus id by bonus name.
*
* @param iBonus_ID	
* @param szName		Bonus name that used in ze_bonus_register() to find, or keep it "".
* 
* @return 			Bonus Required level id, If successfully.
*					-1 | If not found.
*
*/
native ze_bonus_get_reqlevel(iBonus_ID, const szName[] = "")