#include <zombie_escape>
#include <ze_bonus_manager>

// Global Vairables.
new bool:g_bDamage[MAX_CLIENTS+1]

// Forward called after server activation.
public plugin_init() {
	// Load plugin
	register_plugin("[ZE] Bonus: Items", "1.2", "z0h1r-LK")
	
	// Hook Chain.
	RegisterHookChain(RG_CBasePlayer_TakeDamage, "PreTakeDamage_Player", 0)
	
	// New bonus
	ze_bonus_register("+10 HP", "Handler_PlusTenHealth", 10)
	ze_bonus_register("+10 AR", "Handler_PlusTenArmor", 15)
	ze_bonus_register("+10 EC", "Handler_PlusEscapeCoins", 20)
	ze_bonus_register("Fire Nade", "Handler_GiveFireNade", 25)
	ze_bonus_register("Frost Nade", "Handler_GiveFrostNade", 30)
	ze_bonus_register("+10 Speed", "Handler_PlusTenSpeed", 35)
	ze_bonus_register("Damage x1.2", "Handler_PlusDamage", 45)
}

// Hook handle bonus +10HP.
public Handler_PlusTenHealth(iPlayer, iBonus)
{
	// Get health of player.
	new Float:flHealth
	get_entvar(iPlayer, var_health, flHealth)
	
	// Give player +10 health.
	set_entvar(iPlayer, var_health, flHealth + 10.0)
}

// Hook handle bonus +10AR.
public Handler_PlusTenArmor(iPlayer, iBonus)
{
	// Get armor of player.
	new Float:flArmor
	get_entvar(iPlayer, var_armorvalue, flArmor)
	
	// Give player +10 armor.
	set_entvar(iPlayer, var_armorvalue, flArmor + 10.0)	
}

// Hook handle bonus +10EC.
public Handler_PlusEscapeCoins(iPlayer, iBonus)
{
	// Get current ECs of player.
	new iEC = ze_get_escape_coins(iPlayer)
	
	// Give player +10 ECs.
	ze_set_escape_coins(iPlayer, iEC + 10)
}

// Hook handle bonus +1EC.
public Handler_GiveFireNade(iPlayer, iBonus)
{
	// Give player fire nade.
	rg_give_item(iPlayer, "weapon_hegrenade")
}

// Hook handle bonus +1 Frost Nade.
public Handler_GiveFrostNade(iPlayer, iBonus)
{
	// Give player frost nade.
	rg_give_item(iPlayer, "weapon_flashbang")
}

// Hook handle bonus +10 Speed.
public Handler_PlusTenSpeed(iPlayer, iBonus)
{
	// Set human new speed factor.
	ze_set_human_speed_factor(iPlayer, get_cvar_num("ze_human_speed_factor") + 10)
}

// Hook handle bonus damage x1.2
public Handler_PlusDamage(iPlayer, iBonus)
{
	// Enable damage.
	g_bDamage[iPlayer] = true
}

// Hook called when player take damage.
public PreTakeDamage_Player(iVictim, iInflector, iAttacker, Float:flDamage, bitsDamageType)
{
	// Attacker is a zombie.
	if (ze_is_user_zombie(iAttacker))
		return;
	
	// Multiple damage.
	if (g_bDamage[iAttacker])
	{
		// Damage x 1.2
		SetHookChainArg(4, ATYPE_FLOAT, flDamage * 10.0)
	}
}